# OutputAttribute

class `openff.evaluator.workflow.attributes.``OutputAttribute`(docstring, type_hint)

  A descriptor used to mark an attribute of an as an output of that object. This attribute is expected to be populated by the object itself, rather than be set externally.

  Examples

  To mark an attribute as an output:

      >>> from openff.evaluator.attributes import AttributeClass
      >>> from openff.evaluator.workflow.attributes import OutputAttribute
      >>>
      >>> class MyObject(AttributeClass):
      >>>
      >>>     my_output = OutputAttribute(
      >>>         docstring='An output that will be filled.',
      >>>         type_hint=float
      >>>     )

  `__init__`(docstring, type_hint)

    Initializes a new OutputAttribute object.

  Methods

  `__init__`(docstring, type_hint) | Initializes a new OutputAttribute object.